# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "byokey"
version = "0.1.3"
authors = ["AprilNEA <github@sku.moe>"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Bring Your Own Keys — AI subscription-to-API proxy gateway"
homepage = "https://github.com/AprilNEA/BYOKEY"
readme = "README.md"
keywords = [
    "ai",
    "proxy",
    "openai",
    "claude",
    "llm",
]
categories = [
    "web-programming::http-server",
    "network-programming",
]
license = "MIT OR Apache-2.0"
repository = "https://github.com/AprilNEA/BYOKEY"
resolver = "2"

[[bin]]
name = "byokey"
path = "src/main.rs"

[dependencies.anyhow]
version = "1"

[dependencies.axum]
version = "0.8"
features = ["macros"]

[dependencies.byokey-auth]
version = "0.1.3"

[dependencies.byokey-config]
version = "0.1.3"

[dependencies.byokey-proxy]
version = "0.1.3"

[dependencies.byokey-store]
version = "0.1.3"

[dependencies.byokey-types]
version = "0.1.3"

[dependencies.clap]
version = "4"
features = ["derive"]

[dependencies.tokio]
version = "1"
features = ["full"]
